(defun c:Ccc (/ estilo altura font h escala plantaOCorte)
  ; Solicitar el nombre del estilo al usuario
  (setq estilo (getstring "\nIngresa el nombre del estilo de acotado: "))
  
  ; Solicitar la altura del texto al usuario
  (setq h (getreal (strcat "\nIngresa la altura del texto para '" estilo "' en milímetros: ")))
  
  ; Solicitar la escala
  (setq escala (getreal (strcat "\nIngresa la ESCALA del texto para '" estilo "': ")))
  
  ; Solicitar el tipo de fuente al usuario, ofreciendo una opción predeterminada
  (initget 6)
  (setq font (getstring t (strcat "\nIngresa el tipo de fuente o presiona [Enter] para usar la fuente 'romans.shx': ")))
  (if (= font "")
    (setq font "romans.shx")
  )
  
  ; Pregunta si el acotado será en planta o en corte
  (initget "Planta Corte")
  (setq plantaOCorte (getkword "\n¿El acotado será en Planta o Corte? [Planta/Corte]: "))
  
  ; Configurar DIMTIH y DIMTOH según la respuesta
  (if (= plantaOCorte "Planta")
    (progn
      (setvar "DIMTIH" 0)
      (setvar "DIMTOH" 0)
    )
    (progn
      (setvar "DIMTIH" 1)
      (setvar "DIMTOH" 1)
    )
  )

  (setq altura (/ (* escala h) 1000))
  
  ; Verificar que todos los datos necesarios están proporcionados
  (if (and estilo altura font)
    (progn
      ; Comando para crear el estilo
      (command "_.-style" estilo font altura 1 0 "N" "N" "")
      (princ (strcat "\nEstilo de texto '" estilo "' creado con fuente '" font "' y altura " (rtos altura) "."))
      ;; Creamos el estilo de acotado
      (command "._-DIMSTYLE" "S" estilo "") ; Crea un nuevo estilo de acotación

      ; Configura las propiedades del estilo de acotación según los valores proporcionados
      (setvar "DIMASZ" 2.0000)         ; Tamaño de las flechas de acotación
      (setvar "DIMEXO" 2.0000)         ; Extensión de la línea de cota desde la figura
      (setvar "DIMDLI" 37.5000)        ; Espacio entre la línea de dimensión y el texto
      (setvar "DIMDLE" 0.0000)         ; Extensión de la línea de cota más allá de la última línea de extensión
      (setvar "DIMFXL" 4.0000)         ; Longitud fija de las extensiones de línea
      (setvar "DIMTVP" 0.0000)         ; Posición vertical del texto respecto a la línea de cota
      (setvar "DIMTXT" 2.0000)        ; Tamaño del texto de las dimensiones
      (setvar "DIMBLK" "Oblique")      ; Tipo de bloque para la flecha de inicio de la dimensión
      (setvar "DIMBLK1" "Oblique") ; Tipo de bloque para la flecha de primer punto de extensión
      (setvar "DIMBLK2" "Oblique") ; Tipo de bloque para la flecha de segundo punto de extensión
      (setvar "DIMCLRD" 9)             ; Color de las líneas de acotación y flechas
      (setvar "DIMCLRE" 9)             ; Color de las líneas de extensión
      (setvar "DIMCLRT" 7)             ; Color del texto de acotación (blanco)
      (setvar "DIMSCALE" 1.0000)       ; Factor de escala general
      (setvar "DIMALTF" 0.0394)        ; Factor de escala de unidades alternativas
      (setvar "DIMTFAC" 1.0000)        ; Factor de escala del texto de tolerancia
      (setvar "DIMTMOVE" 2)            ; Movimiento del texto
      (setvar "DIMZIN" 0)              ; Supresión de ceros
      (setvar "DIMDEC" 2)              ; Decimales en la acotación lineal
      (setvar "DIMTOL" 0)              ; Dimensionamiento de tolerancias
      (setvar "DIMCEN" 25.0000)         ; Centro de la marca de tamaño
      (setvar "DIMGAP" 1.0000)         ; Espacio entre el texto y la línea de cota
      (setvar "DIMEXE" 2.000)         ; Extensión de la línea de cota más allá de la última línea de extensión
      (setvar "DIMTDEC" 3)             ; Número de decimales en las cotas de tolerancia
      (setvar "DIMJUST" 0)                ; Justificación del texto en la línea de dimensión
      (setvar "DIMTAD" 2)                ; Posición del texto encima de la línea de dimensión
      (setvar "DIMTXSTY" estilo)                ; Define el estilo de texto
      (setvar "DIMRND" 0)   
      (setvar "DIMFXL" 0)
      (setvar "DIMFXLON" 0)
      (setvar "DIMSCALE" (/ altura h))         ; Factor de Escala  
      (command "._-DIMSTYLE" "S" "" "") ; Regresa al estilo de acotación actual
    )
    (princ "\nFaltan datos para crear el estilo de texto. Intenta de nuevo.")
  ) (princ)
)

; Inicialización del comando
(princ "www.ingenieriafacil.com, created by Luis Cardenas")
(princ)
